GPSPIPE(1)

NAME
gpspipe - tool to connect to gpsd and retrieve sentences

SYNOPSIS

gpspipe [-h] [-d] [-l] [-f filename] [-n count] [-r] [-R] [-s serial-device] [-t] [-w] [-v] [server [:port [:device]]]

DESCRIPTION

gpspipe is a tool to connect to gpsd and output the received sentences to stdout. This makes the program useful as a pipe from gpsd to another program or file.

gpspipe does not require root privileges, and can be run concurrently with other tools connecting to the local gpsd without causing problems.

The output will consist of one or both of the raw NMEA or native gpsd sentences. Each line can be optionally time stamped. There is also an option to exit gracefully after a given count of packets.

Optionally a server, tcp port number and remote device can be given. If omitted, gpspipe connects to 127.0.0.1 on the default port (2947) and uses the first device opened by gpsd.

gpspipe may be run as a daemon, but requires the -f flag for writing the output to a file.

OPTIONS

-h makes gpspipe print a usage message and exit.

-d causes gpspipe to run as a daemon.

-l causes gpspipe to sleep for ten seconds before attempting to connect to gpsd. This is very useful when running as a daemon, giving gpsd time to start before attempting a connection.

-r causes raw NMEA sentences to be output.

-R causes super-raw (gps binary) data to be output. This overrides NMEA and gpsd output modes.

-s option causes the collected data to be written to the specified serial device with setttings 4800 8N1. Thus gpspipe can be used with -s and -r options to emulate a serial port hardwired to a GPS that gpsd is managing.

-f option causes the collected data to be written to the specified file. Use of this option is mandatory if gpspipe is run as a daemon.

-w causes native gpsdsentences to be output.

-t adds a timestamp to each sentence output.

-n [count] causes [count] sentences to be output. gpspipe will then exit gracefully.

-j makes the program send J=1 to the daemon, requesting fix hold across cycles.

-v causes gpspipe to show a spinning activity indicator on stderr. This is useful if stdout is redirected into a file or a pipe. By default the spinner is advanced with every messages written; specifying -v more than once will double the number of messages required to rotate the spinner.

-V prints the version, then exits.

At least one of -R -r or -w must be specified.

EXAMPLE

When gpsd is running gpspipe -r -n 100 will send one hundred raw NMEA sentences to standard output, then exit.

AUTHOR

Gary E. Miller <gem@rellim.com>. There is a project page for gpsd here[1].

NOTES

1.  here
    http://gpsd.berlios.de/